import { IJavaScriptWorkerKernel } from './tokens';
export declare class JavaScriptRemoteKernel {
    /**
     * Initialize the remote kernel.
     *
     * @param options The options for the kernel.
     */
    initialize(options: IJavaScriptWorkerKernel.IOptions): Promise<void>;
    /**
     * Execute code in the worker kernel.
     */
    execute(content: any, parent: any): Promise<{
        status: string;
        user_expressions: {};
        ename?: undefined;
        evalue?: undefined;
        traceback?: undefined;
    } | {
        status: string;
        ename: string;
        evalue: string;
        traceback: string[];
        user_expressions?: undefined;
    }>;
    /**
     * Handle the complete message
     */
    complete(content: any, parent: any): Promise<{
        matches: string[];
        cursor_start: number;
        cursor_end: any;
        metadata: {};
        status: string;
    }>;
    private _executionCount;
}
